Page MenuHomePhabricator

Implement `revision_create` event production
Closed, ResolvedPublic

Description

T124741 introduces a new event, revision_create, meant to eventually supercede page_edit. Production of these events needs to be implemented in the EventBus Mediawiki extension.

Event Timeline

Eevans created this task.Feb 8 2016, 2:39 PM
Eevans updated the task description. (Show Details)
Eevans raised the priority of this task from to Needs Triage.
Eevans added a project: EventBus.
Eevans added a subscriber: Eevans.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 8 2016, 2:39 PM
Johsthao closed this task as a duplicate of T126250: <spam>.Feb 8 2016, 6:24 PM
matmarex reopened this task as Open.Feb 8 2016, 6:32 PM
mobrovac triaged this task as High priority.Feb 13 2016, 12:24 AM
mobrovac assigned this task to Pchelolo.
mobrovac set Security to None.

Change 270871 had a related patch set uploaded (by Ppchelko):
Implemented revision_create event and replaced page_edit event.

https://gerrit.wikimedia.org/r/270871

mobrovac moved this task from Backlog to In Progress on the EventBus board.Feb 16 2016, 4:28 PM

Change 270871 merged by Mobrovac:
Implemented revision_create event and replaced page_edit event.

https://gerrit.wikimedia.org/r/270871

The new version of the extension got deployed, so now a page_edit event is completely replaced by revision_create. https://grafana.wikimedia.org/dashboard/db/eventbus

Next steps is to remove the page_edit schema and delete a topic.

Change 274802 had a related patch set uploaded (by Ppchelko):
Removed page_edit event schema.

https://gerrit.wikimedia.org/r/274802

Change 274805 had a related patch set uploaded (by Ppchelko):
Removed page_edit topic.

https://gerrit.wikimedia.org/r/274805

Change 274805 merged by Ottomata:
Removed page_edit topic.

https://gerrit.wikimedia.org/r/274805

Change 274802 merged by Ottomata:
Removed page_edit event schema.

https://gerrit.wikimedia.org/r/274802

Pchelolo closed this task as Resolved.Mar 28 2016, 8:13 PM